#
# spec file for package python-pyenchant
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define oldpython python
Name:           python-pyenchant
Version:        2.0.0
Release:        lp151.1.1
Summary:        Python bindings for the Enchant spellchecking system
License:        LGPL-2.1-or-later
Group:          Development/Languages/Python
URL:            https://github.com/rfk/pyenchant/
Source:         https://files.pythonhosted.org/packages/source/p/pyenchant/pyenchant-%{version}.tar.gz
Patch0:         enchant2.patch
BuildRequires:  %{python_module setuptools}
%if 0%{?suse_version} > 1500
BuildRequires:  enchant-2-backend-hunspell
%else
BuildRequires:  enchant
%endif
BuildRequires:  fdupes
BuildRequires:  myspell-en
BuildRequires:  myspell-en_AU
BuildRequires:  myspell-en_US
BuildRequires:  python-rpm-macros
BuildRequires:  python3-2to3
%if 0%{?suse_version} > 1500
Requires:       enchant-2-backend-hunspell
%else
Requires:       enchant
%endif
Provides:       python-enchant
BuildArch:      noarch
%ifpython2
Provides:       PyEnchant = %{version}
Obsoletes:      PyEnchant < %{version}
Provides:       %{oldpython}-enchant = %{version}
Obsoletes:      %{oldpython}-enchant < %{version}
%endif
%python_subpackages

%description
PyEnchant is a spellchecking library for Python, based on the excellent Enchant library.

%prep
%setup -q -n pyenchant-%{version}
%patch0 -p1
chmod a-x *.txt
chmod a-x *egg-info/*

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LANG=en_US.UTF-8
%python_exec setup.py test

%files %{python_files}
%license LICENSE.txt
%doc README.txt TODO.txt
%{python_sitelib}/enchant
%{python_sitelib}/pyenchant-%{version}-py*.egg-info

%changelog
* Tue Jan  8 2019 alarrosa@suse.com
- Use enchant 1 in SLE 15/Leap 15
* Fri Aug 24 2018 tchvatal@suse.com
- Update to 2.0.0:
  * Support for enchant2, py3 fixes
- Add patch to prefer enchant2 when both available:
  * enchant2.patch
* Thu Aug 31 2017 toddrme2178@gmail.com
- update to version 1.6.11
  * No changelog
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Mon May 11 2015 benoit.monin@gmx.fr
- update to  version 1.6.6:
  * compatibility with latest python releases
  * "wheels" replace "eggs" as the binary distribution format of
    choice
  * fix possible text corruption when using SpellChecker with a
    Chunker
- drop pyenchant-drop-bootstrap-distribute.patch: fixed upstream
* Sat Sep 14 2013 os-dev@jacraig.com
- Add pyenchant-drop-bootstrap-distribute.patch: don't use the distribute
  bootstrapping code, just use setuptools.  Fixes build that was broken by the
  attempt to download distribute.
* Fri May  4 2012 toddrme2178@gmail.com
- Add full url to source
- Make python 3 package noarch like the python 2 package
- Fix rpmlint warnings
* Mon Apr 30 2012 toddrme2178@gmail.com
- Add python 3 package
- Clean up python 2 spec file
* Mon Feb 27 2012 cfarrell@suse.com
- license update: LGPL-2.1+
  No reason to believe that the package author restricted licensing to only
  version 2.1 of the LGPL. As such LGPL-2.1+ is the better choice
* Mon Feb 20 2012 saschpe@suse.de
- Spec file cleanup:
  * Simplified macro usage
  * Removed outdated %%clean section
  * Set SPDX-style license
  * No CFLAGS for noarch package
* Fri Apr 15 2011 saschpe@suse.de
- Initial version 1.6.5
- Obsoletes package 'python-enchant'
